"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _usePropsConfig = require("../../../hooks/usePropsConfig");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ScaleFade = ({
  children,
  ...props
}) => {
  const {
    in: animationState,
    duration,
    initialScale
  } = (0, _usePropsConfig.usePropsConfig)('ScaleFade', props);

  const fadeAnim = _react.default.useRef(new _reactNative.Animated.Value(0)).current;

  const scaleAnim = _react.default.useRef(new _reactNative.Animated.Value(initialScale)).current;

  const fadeIn = () => {
    _reactNative.Animated.timing(fadeAnim, {
      toValue: 1,
      duration: duration,
      useNativeDriver: _reactNative.Platform.OS !== 'web'
    }).start();
  };

  const fadeOut = () => {
    _reactNative.Animated.timing(fadeAnim, {
      toValue: 0,
      duration: duration,
      useNativeDriver: _reactNative.Platform.OS !== 'web'
    }).start();
  };

  const scaleIn = () => {
    _reactNative.Animated.timing(scaleAnim, {
      toValue: 1,
      duration: duration,
      useNativeDriver: _reactNative.Platform.OS !== 'web'
    }).start();
  };

  const scaleOut = () => {
    _reactNative.Animated.timing(scaleAnim, {
      toValue: initialScale,
      duration: duration,
      useNativeDriver: _reactNative.Platform.OS !== 'web'
    }).start();
  };

  if (animationState) {
    fadeIn();
    scaleIn();
  } else {
    fadeOut();
    scaleOut();
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: {
      opacity: fadeAnim,
      transform: [{
        scale: scaleAnim
      }]
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, props), children);
};

var _default = ScaleFade;
exports.default = _default;
//# sourceMappingURL=ScaleFade.js.map