"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFadeTransition = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useFadeTransition = (duration = 500, initValue = 0, finalValue = 1) => {
  const fadeValue = _react.default.useRef(new _reactNative.Animated.Value(0)).current;

  const fadeIn = () => {
    _reactNative.Animated.timing(fadeValue, {
      toValue: finalValue,
      duration: duration,
      useNativeDriver: _reactNative.Platform.OS !== 'web'
    }).start();
  };

  const fadeOut = () => {
    _reactNative.Animated.timing(fadeValue, {
      toValue: initValue,
      duration: duration,
      useNativeDriver: _reactNative.Platform.OS !== 'web'
    }).start();
  };

  return {
    fadeValue,
    fadeIn,
    fadeOut
  };
};

exports.useFadeTransition = useFadeTransition;
//# sourceMappingURL=useFadeTransition.js.map