"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.themePropertyMap = void 0;

var _borders = _interopRequireDefault(require("./borders"));

var _breakpoints = _interopRequireDefault(require("./breakpoints"));

var _colors = _interopRequireDefault(require("./colors"));

var _radius = _interopRequireDefault(require("./radius"));

var _shadows = _interopRequireDefault(require("./shadows"));

var _sizes = _interopRequireWildcard(require("./sizes"));

var _typography = _interopRequireDefault(require("./typography"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const theme = {
  borders: _borders.default,
  breakpoints: _breakpoints.default,
  colors: _colors.default,
  radii: _radius.default,
  ..._typography.default,
  sizes: _sizes.default,
  space: _sizes.baseSizes,
  shadows: _shadows.default
};
const themePropertyMap = {
  borderRadius: 'radii',
  color: 'colors',
  letterSpacing: 'letterSpacings',
  lineHeight: 'lineHeights',
  fontFamily: 'fonts',
  fontSize: 'fontSizes',
  fontWeight: 'fontWeights',
  size: 'sizes',
  space: 'space',
  border: 'borders',
  shadow: 'shadows'
};
exports.themePropertyMap = themePropertyMap;
var _default = theme;
exports.default = _default;
//# sourceMappingURL=index.js.map