"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sizes = _interopRequireDefault(require("./../base/sizes"));

var _typography = _interopRequireDefault(require("./../base/typography"));

var _tools = require("./../tools");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getSizes() {
  let spaceValues = {};

  for (let key in _sizes.default) {
    if (key !== 'container') {
      spaceValues[key] = {
        // @ts-ignore
        dimension: _sizes.default[key]
      };
    }
  }

  let fontValues = {};

  for (let key in _typography.default.fontSizes) {
    fontValues[key] = {
      // @ts-ignore
      dimension: _typography.default.fontSizes[key]
    };
  }

  return { ...fontValues,
    ...spaceValues
  };
}

const sizes = getSizes();

const baseStyle = props => {
  return {
    color: (0, _tools.mode)(undefined, 'white')(props),
    size: 20
  };
};

var _default = {
  sizes,
  baseStyle
};
exports.default = _default;
//# sourceMappingURL=icon.js.map