function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { SafeAreaView } from 'react-native';
import AppBarLeft from './AppBarLeft';
import AppBarRight from './AppBarRight';
import AppBarContent from './AppBarContent';
import { Box, HStack, View } from '../../primitives';
import { APPROX_STATUSBAR_HEIGHT } from './utils';
const APPBAR_HEADER_HEIGHT = 56;
const DEFAULT_SPACING_BETWEEN_LEFT_CONTENT_AND_RIGHT = 2;
const DEFAULT_HORIZONTAL_PADDING = 2;

const AppBar = ({
  height = APPBAR_HEADER_HEIGHT,
  statusBarHeight = APPROX_STATUSBAR_HEIGHT,
  space = DEFAULT_SPACING_BETWEEN_LEFT_CONTENT_AND_RIGHT,
  ...props
}) => {
  let childMap = new Map();
  React.Children.toArray(props.children).reduce((prevVal, child) => {
    if ( /*#__PURE__*/React.isValidElement(child)) {
      childMap.set(child.type, child);
    }

    return prevVal;
  }, childMap);
  let defaultStyle = {
    height,
    marginTop: statusBarHeight
  }; // If status bar height is present, no need for SafeAreaView as View will handle the topOffset using marginTop

  const Wrapper = statusBarHeight ? React.Fragment : SafeAreaView;
  return /*#__PURE__*/React.createElement(Wrapper, null, /*#__PURE__*/React.createElement(View, {
    style: defaultStyle
  }, /*#__PURE__*/React.createElement(Box, _extends({
    flex: 1,
    px: DEFAULT_HORIZONTAL_PADDING
  }, props), /*#__PURE__*/React.createElement(HStack, {
    space: space,
    flex: 1
  }, childMap.get(AppBarLeft), childMap.get(AppBarContent), childMap.get(AppBarRight)))));
};

AppBar.Left = AppBarLeft;
AppBar.Right = AppBarRight;
AppBar.Content = AppBarContent;
export default AppBar;
//# sourceMappingURL=AppBar.js.map