function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableOpacity } from 'react-native';
import Box from '../Box';
import Icon from '../Icon';
import { Center } from '../../composites/Center';
import { usePropsConfig } from '../../../hooks';
import { FormControlContext } from '../../composites/FormControl';
import { CheckboxContext } from './CheckboxGroup';
import { useCheckbox } from './useCheckbox';

const Checkbox = ({
  icon,
  ...props
}, ref) => {
  const formControlContext = React.useContext(FormControlContext);
  const checkboxGroupContext = React.useContext(CheckboxContext);
  const {
    activeColor,
    borderColor,
    iconColor,
    isInvalid,
    size,
    ...newProps
  } = usePropsConfig('Checkbox', { ...checkboxGroupContext,
    ...formControlContext,
    ...props
  });
  const {
    inputProps
  } = useCheckbox(props, checkboxGroupContext, null);
  const isChecked = inputProps.checked;
  const isDisabled = inputProps.disabled;
  const sizedIcon = icon ? () => /*#__PURE__*/React.cloneElement(icon, {
    size,
    color: icon.props.color ? icon.props.color : iconColor
  }, icon.props.children) : null;
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    activeOpacity: 1,
    ref: ref
  }, inputProps), /*#__PURE__*/React.createElement(Box, _extends({
    flexDirection: "row",
    alignItems: "center"
  }, newProps), /*#__PURE__*/React.createElement(Center, {
    backgroundColor: isChecked ? isDisabled ? borderColor : activeColor : 'transparent',
    borderColor: isChecked ? isDisabled || isInvalid ? borderColor : activeColor : borderColor,
    borderWidth: 2,
    borderRadius: 5
  }, icon && sizedIcon && isChecked ? sizedIcon() : /*#__PURE__*/React.createElement(Icon, {
    name: "check-bold",
    type: "MaterialCommunityIcons",
    size: size,
    color: iconColor,
    opacity: isChecked ? 1 : 0
  })), props.children));
};

export default /*#__PURE__*/React.forwardRef(Checkbox);
//# sourceMappingURL=Checkbox.js.map