declare const _default: {
    Alert: {
        defaultProps: {
            status: string;
            variant: string;
            p: number;
            borderRadius: string;
        };
        variants: {
            subtle: (props: Record<string, any>) => {
                border: number;
                borderColor: string;
                bg: any;
                iconColor: any;
                textColor: any;
            };
            solid: (props: Record<string, any>) => {
                border: number;
                borderColor: string;
                bg: any;
                iconColor: any;
                textColor: any;
            };
            'left-accent': (props: Record<string, any>) => {
                border: number;
                bg: any;
                iconColor: any;
                textColor: any;
                borderColor: string;
                borderLeftColor: any;
            };
            'top-accent': (props: Record<string, any>) => {
                border: number;
                borderColor: string;
                borderTopColor: any;
                bg: any;
                iconColor: any;
                textColor: any;
            };
        };
    };
    AlertTitle: {
        defaultProps: {
            fontSize: string;
            fontWeight: string;
        };
    };
    AlertDescription: {
        defaultProps: {
            fontSize: string;
        };
    };
    Heading: {
        baseStyle: (props: Record<string, any>) => {
            color: any;
            fontWeight: string;
        };
        sizes: (props: Record<string, any>) => {
            fontSize: number;
            '2xl'?: undefined;
            xl?: undefined;
            lg?: undefined;
            md?: undefined;
            sm?: undefined;
            xs?: undefined;
        } | {
            fontSize: string;
            '2xl'?: undefined;
            xl?: undefined;
            lg?: undefined;
            md?: undefined;
            sm?: undefined;
            xs?: undefined;
        } | {
            '2xl': {
                fontSize: string;
            };
            xl: {
                fontSize: string;
            };
            lg: {
                fontSize: string;
            };
            md: {
                fontSize: string;
            };
            sm: {
                fontSize: string;
            };
            xs: {
                fontSize: string;
            };
            fontSize?: undefined;
        };
        defaultProps: {
            size: string;
        };
    };
    Code: {
        baseStyle: {
            fontFamily: string;
            fontSize: string;
            borderRadius: string;
            px: number;
            py: number;
        };
        variants: {
            solid: (props: Record<string, any>) => {
                bg: any;
                color: any;
                borderWidth: number;
                borderColor: string;
            };
            subtle: (props: Record<string, any>) => {
                bg: any;
                color: any;
                borderWidth: number;
                borderColor: string;
            };
            outline: (props: Record<string, any>) => {
                borderColor: any;
                color: any;
                borderWidth: number;
            };
        };
        defaultProps: {
            variant: string;
            colorScheme: string;
        };
    };
    Badge: {
        baseStyle: {
            px: number;
            py: string;
            textTransform: string;
            fontSize: string;
            borderRadius: string;
            fontWeight: string;
        };
        variants: {
            solid: (props: Record<string, any>) => {
                bg: any;
                color: any;
                borderWidth: number;
                borderColor: string;
            };
            subtle: (props: Record<string, any>) => {
                bg: any;
                color: any;
                borderWidth: number;
                borderColor: string;
            };
            outline: (props: Record<string, any>) => {
                borderColor: any;
                color: any;
                borderWidth: number;
            };
        };
        defaultProps: {
            variant: string;
            colorScheme: string;
        };
    };
    Tag: {
        variants: {
            solid: (props: Record<string, any>) => {
                bg: any;
                color: any;
                borderWidth: number;
                borderColor: string;
            };
            subtle: (props: Record<string, any>) => {
                bg: any;
                color: any;
                borderWidth: number;
                borderColor: string;
            };
            outline: (props: Record<string, any>) => {
                borderColor: any;
                color: any;
                borderWidth: number;
            };
        };
        baseStyle: {
            fontWeight: string;
            lineHeight: number;
            alignItems: string;
            justifyContent: string;
            flexDirection: string;
            display: string;
        };
        sizes: {
            sm: {
                minH: number;
                minW: number;
                fontSize: string;
                px: number;
                borderRadius: string;
            };
            md: {
                minH: number;
                minW: number;
                fontSize: string;
                borderRadius: string;
                px: number;
            };
            lg: {
                minH: number;
                minW: number;
                fontSize: string;
                borderRadius: string;
                px: number;
            };
        };
        defaultProps: {
            size: string;
            variant: string;
            colorScheme: string;
        };
    };
    Center: {
        sizes: {
            xs: {
                height: number;
                width: number;
            };
            sm: {
                height: number;
                width: number;
            };
            md: {
                height: number;
                width: number;
            };
            lg: {
                height: number;
                width: number;
            };
            xl: {
                height: number;
                width: number;
            };
            '2xl': {
                height: number;
                width: number;
            };
        };
    };
    Avatar: {
        baseStyle: (props: Record<string, any>) => {
            bg: string;
            color: string;
            borderColor: any;
            position: string;
            justifyContent: string;
            alignItems: string;
            borderRadius: string;
            fontWeight: number;
        };
        sizes: {
            '2xs': {
                width: any;
                height: any;
                fontSize: string;
            };
            xs: {
                width: any;
                height: any;
                fontSize: string;
            };
            sm: {
                width: any;
                height: any;
                fontSize: string;
            };
            md: {
                width: any;
                height: any;
                fontSize: string;
            };
            lg: {
                width: any;
                height: any;
                fontSize: string;
            };
            xl: {
                width: any;
                height: any;
                fontSize: string;
            };
            '2xl': {
                width: any;
                height: any;
                fontSize: string;
            };
            full: {
                width: any;
                height: any;
                fontSize: string;
            };
        };
        defaultProps: {
            size: string;
        };
    };
    AvatarBadge: {
        baseStyle: (props: Record<string, any>) => {
            borderRadius: string;
            borderWidth: number;
            borderColor: any;
            bg: any;
        };
    };
    Switch: {
        baseStyle: (props: Record<string, any>) => {
            trackColor: {
                false: any;
                true: any;
            } | undefined;
            thumbColor: any;
        };
        sizes: {
            sm: {
                transform: {
                    scale: number;
                }[];
            };
            md: {};
            lg: {
                transform: {
                    scale: number;
                }[];
                margin: number;
            };
        };
        defaultProps: {
            size: string;
            colorScheme: string;
        };
    };
    Wrap: {
        baseStyle: {
            display: string;
            flexDirection: string;
            flexWrap: string;
        };
    };
    Divider: {
        baseStyle: {
            opacity: number;
            borderWidth: number;
        };
    };
    Link: {
        baseStyle: {
            width: string;
            height: string;
        };
    };
    Checkbox: {
        baseStyle: (props: Record<string, any>) => {
            activeColor: any;
            borderColor: any;
            iconColor: any;
        };
        sizes: {
            lg: {
                size: number;
            };
            md: {
                size: number;
            };
            sm: {
                size: number;
            };
        };
        defaultProps: {
            defaultIsChecked: boolean;
            size: string;
            colorScheme: string;
        };
    };
    Radio: {
        baseStyle: (props: Record<string, any>) => {
            activeColor: any;
            borderColor: any;
            iconColor: any;
        };
        sizes: {
            lg: {
                size: number;
            };
            md: {
                size: number;
            };
            sm: {
                size: number;
            };
        };
        defaultProps: {
            defaultIsChecked: boolean;
            size: string;
            colorScheme: string;
        };
    };
    Icon: {
        sizes: any;
        baseStyle: (props: Record<string, any>) => {
            color: any;
            size: number;
        };
    };
    BreadCrumb: {
        baseStyle: {
            width: string;
            height: string;
            display: string;
            flexDirection: string;
        };
        defaultProps: {
            direction: string;
            wrap: string;
        };
    };
    PinInput: {
        sizes: {
            '2xl': {
                size: string;
                p: number;
                width: string;
                height: string;
                textAlign: string;
                borderRadius: string;
            };
            xl: {
                size: string;
                p: number;
                width: string;
                height: string;
                textAlign: string;
                borderRadius: string;
            };
            lg: {
                size: string;
                p: number;
                width: string;
                height: string;
                textAlign: string;
                borderRadius: string;
            };
            md: {
                size: string;
                p: number;
                width: string;
                height: string;
                textAlign: string;
                borderRadius: string;
            };
            sm: {
                size: string;
                p: number;
                width: string;
                height: string;
                textAlign: string;
                borderRadius: string;
            };
            xs: {
                size: string;
                p: number;
                width: string;
                height: string;
                textAlign: string;
                borderRadius: string;
            };
        };
        defaultProps: {
            placeholder: string;
            size: string;
            manageFocus: boolean;
            space: number;
        };
    };
    NumberInput: {
        defaultProps: {
            size: string;
            step: number;
            min: number;
            max: number;
            defaultValue: string;
            keepWithinRange: boolean;
            clampValueOnBlur: boolean;
            focusInputOnChange: boolean;
            getAriaValueText: boolean;
        };
    };
    NumberInputStepper: {
        baseStyle: (props: Record<string, any>) => {
            bg: string;
            iconColor: any;
            _active: {};
            _disabled: {
                iconColor: any;
                bg: any;
            };
        };
    };
    Fade: {
        defaultProps: {
            duration: number;
        };
    };
    ScaleFade: {
        defaultProps: {
            duration: number;
            initialScale: number;
        };
    };
    Slide: {
        defaultProps: {
            duration: number;
            placement: string;
        };
    };
    SlideFade: {
        defaultProps: {
            duration: number;
            offsetX: number;
            offsetY: number;
        };
    };
    Kbd: {
        baseStyle: (props: Record<string, any>) => {
            bg: any;
            borderColor: any;
            borderWidth: number;
            borderBottomWidth: number;
            borderRadius: string;
            fontSize: string;
            fontWeight: string;
            px: number;
        };
        defaultProps: {
            shadow: number;
        };
    };
    TextArea: {
        defaultProps: {
            rounded: number;
            multiline: boolean;
            numberOfLines: number;
            px: number;
            py: number;
        };
    };
    Tabs: {
        baseStyle: {
            activeTabStyle: {
                marginBottom: string;
            };
            inactiveTabStyle: {
                marginBottom: string;
            };
        };
        variants: {
            line: (props: Record<string, any>) => {
                activeTabStyle: {
                    borderColor: any;
                    borderBottomWidth: number;
                };
                inactiveTabStyle: {
                    borderColor: string;
                    borderBottomWidth: number;
                };
                tabBarStyle: {
                    borderBottomWidth: number;
                    borderColor: string;
                };
            };
            enclosed: (props: Record<string, any>) => {
                activeTabStyle: {
                    borderTopWidth: number;
                    borderLeftWidth: number;
                    borderRightWidth: number;
                    borderColor: any;
                };
                inactiveTabStyle: {
                    borderColor: string;
                    borderBottomWidth: number;
                };
                tabBarStyle: {};
            };
            'enclosed-colored': (props: Record<string, any>) => {
                activeTabStyle: {
                    borderTopWidth: number;
                    borderLeftWidth: number;
                    borderRightWidth: number;
                    borderColor: string;
                    color: any;
                };
                inactiveTabStyle: {
                    bg: string;
                    borderColor: string;
                    borderBottomWidth: number;
                };
                tabBarStyle: {};
            };
            'soft-rounded': (props: Record<string, any>) => {
                activeTabStyle: {
                    borderRadius: string;
                    bg: string;
                    color: string;
                };
                inactiveTabStyle: {};
                tabBarStyle: {};
            };
            'solid-rounded': (props: Record<string, any>) => {
                activeTabStyle: {
                    borderRadius: string;
                    bg: any;
                    color: string;
                };
                inactiveTabStyle: {};
                tabBarStyle: {};
            };
            'solid-box': (props: Record<string, any>) => {
                activeTabStyle: {
                    bg: any;
                    color: string;
                };
                inactiveTabStyle: {};
                tabBarStyle: {};
            };
        };
        sizes: {
            sm: {
                activeTabStyle: {
                    fontSize: string;
                    p: number;
                };
                inactiveTabStyle: {
                    fontSize: string;
                    p: number;
                };
            };
            md: {
                activeTabStyle: {
                    fontSize: string;
                    p: number;
                };
                inactiveTabStyle: {
                    fontSize: string;
                    p: number;
                };
            };
            lg: {
                activeTabStyle: {
                    fontSize: string;
                    p: number;
                };
                inactiveTabStyle: {
                    fontSize: string;
                    p: number;
                };
            };
        };
        defaultProps: {
            size: string;
            variant: string;
            colorScheme: string;
        };
    };
    Input: {
        baseStyle: (props: Record<string, any>) => {
            w: string;
            p: number;
            color: any;
            borderRadius: string;
            placeholderTextColor: any;
            _isDisabledProps: {
                bg: any;
                borderColor: any;
            };
        };
        variants: {
            outline: (props: Record<string, any>) => {
                borderWidth: number;
                borderColor: any;
            };
            underlined: (props: Record<string, any>) => {
                borderRadius: number;
                borderWidth: number;
                borderColor: any;
                borderBottomWidth: number;
            };
            rounded: (props: Record<string, any>) => {
                borderRadius: string;
                borderWidth: number;
                borderColor: any;
            };
            filled: (props: Record<string, any>) => {
                bg: any;
            };
            unstyled: () => {
                borderWidth: number;
            };
            default: (props: Record<string, any>) => {
                borderWidth: number;
                borderColor: any;
            };
        };
        sizes: {
            '2xl': {
                fontSize: string;
            };
            xl: {
                fontSize: string;
            };
            lg: {
                fontSize: string;
            };
            md: {
                fontSize: string;
            };
            sm: {
                fontSize: string;
            };
            xs: {
                fontSize: string;
            };
        };
        defaultProps: {
            size: string;
            variant: string;
            borderRadius: string;
        };
    };
    Stat: {
        defaultProps: {
            _statNumber: {
                fontSize: string;
                fontWeight: number;
                my: number;
            };
            _statHelpText: {
                opacity: number;
                flexDirection: string;
                alignItems: string;
            };
            _statGroup: {
                flexWrap: string;
                flexDirection: string;
                justifyContent: string;
            };
        };
    };
    Progress: {
        baseStyle: (props: Record<string, any>) => {
            innerBg: any;
            bg: any;
        };
        defaultProps: {
            colorScheme: string;
            size: string;
        };
        sizes: {
            xs: {
                height: number;
            };
            sm: {
                height: number;
            };
            md: {
                height: number;
            };
            lg: {
                height: number;
            };
            xl: {
                height: number;
            };
            '2xl': {
                height: number;
            };
        };
    };
    Container: {
        baseStyle: {
            maxWidth: string;
        };
    };
    Skeleton: {
        baseStyle: (props: Record<string, any>) => {
            skeletonColor: any;
            baseColor: any;
        };
        defaultProps: {
            isLoaded: boolean;
        };
    };
    SkeletonText: {
        baseStyle: (props: Record<string, any>) => {
            skeletonColor: any;
            baseColor: any;
        };
        defaultProps: {
            isLoaded: boolean;
            lineSize: number;
            noOfLines: number;
        };
    };
    Slider: {
        baseStyle: (props: Record<string, any>) => {
            activeColor: any;
            trackColor: any;
        };
        sizes: {
            lg: {
                thumbSize: number;
                sliderSize: number;
            };
            md: {
                thumbSize: number;
                sliderSize: number;
            };
            sm: {
                thumbSize: number;
                sliderSize: number;
            };
        };
        defaultProps: {
            colorScheme: string;
            size: string;
            min: number;
            max: number;
            step: number;
        };
    };
    SliderThumb: {
        defaultProps: {
            shadow: number;
        };
    };
    Button: {
        baseStyle: {
            borderRadius: string;
            fontWeight: string;
            display: string;
            flexDirection: string;
            justifyContent: string;
            alignItems: string;
        };
        variants: {
            ghost: (props: Record<string, any>) => {
                color: any;
                bg?: undefined;
            } | {
                color: any;
                bg: string;
            };
            outline: (props: Record<string, any>) => {
                color: any;
                bg?: undefined;
                border: string;
                borderColor: any;
            } | {
                color: any;
                bg: string;
                border: string;
                borderColor: any;
            };
            solid: (props: Record<string, any>) => {
                bg: any;
                color?: undefined;
            } | {
                bg: any;
                color: any;
            };
            link: (props: Record<string, any>) => {
                padding: number;
                height: string;
                color: any;
                textDecorationLine: string;
            };
            unstyled: () => {
                m: number;
                p: number;
            };
        };
        sizes: {
            lg: {
                minH: number;
                minW: number;
                fontSize: string;
                px: number;
            };
            md: {
                minH: number;
                minW: number;
                fontSize: string;
                px: number;
            };
            sm: {
                minH: number;
                minW: number;
                fontSize: string;
                px: number;
            };
            xs: {
                minH: number;
                minW: number;
                fontSize: string;
                px: number;
            };
        };
        defaultProps: {
            variant: string;
            size: string;
            colorScheme: string;
        };
    };
    IconButton: {
        baseStyle: {
            borderRadius: string;
        };
        sizes: {
            lg: {
                minW: number;
                minH: number;
                px: string;
                fontSize: string;
            };
            md: {
                minW: number;
                minH: number;
                px: string;
                fontSize: string;
            };
            sm: {
                minW: number;
                minH: number;
                px: string;
                fontSize: string;
            };
        };
        defaultProps: {
            size: string;
            variant: string;
        };
    };
    Menu: {
        defaultProps: {
            shadow: number;
        };
        baseStyle: (props: Record<string, any>) => {
            bg: any;
            py: number;
            zIndex: number;
            borderRadius: string;
            borderWidth: string;
        };
    };
    MenuItem: {
        baseStyle: {
            fontSize: string;
            fontWeight: string;
            textAlign: string;
            maxWidth: number;
            minWidth: number;
            py: number;
            px: number;
        };
        defaultProps: {
            disabled: boolean;
            disabledTextColor: string;
            underlayColor: string;
            _disabled: {
                bg: string;
                color: string;
            };
        };
    };
    MenuGroup: {
        baseStyle: {
            fontSize: string;
            fontWeight: string;
            p: number;
        };
    };
    Spinner: {
        baseStyle: {
            color: string;
        };
        sizes: {
            sm: string;
            lg: string;
        };
        defaultProps: {
            size: string;
        };
    };
    CircularProgress: {
        sizes: {
            xs: {
                height: number;
                width: number;
            };
            sm: {
                height: number;
                width: number;
            };
            md: {
                height: number;
                width: number;
            };
            lg: {
                height: number;
                width: number;
            };
            xl: {
                height: number;
                width: number;
            };
            '2xl': {
                height: number;
                width: number;
            };
            '3xl': {
                height: number;
                width: number;
            };
            '4xl': {
                height: number;
                width: number;
            };
        };
    };
    Modal: {
        baseStyle: (props: Record<string, any>) => {
            modalOverlayStyle: {
                position: string;
                left: number;
                top: number;
                opacity: number;
                right: number;
                bottom: number;
            };
            modalCloseButtonStyle: {
                position: string;
                right: number;
                top: number;
                zIndex: number;
            };
            modalCloseButtonProps: {
                size: number;
            };
            modalProps: {
                width: string;
                height: string;
            };
            modalBodyProps: {
                mb: number;
                px: number;
            };
            modalContentProps: {
                bg: any;
            };
            modalHeaderProps: {
                pb: number;
                px: number;
            };
            modalFooterProps: {
                px: number;
                pb: number;
                flexDirection: string;
                justifyContent: string;
                flexWrap: string;
            };
        };
        sizes: {
            xs: {
                _width: string;
            };
            sm: {
                _width: string;
            };
            md: {
                _width: string;
            };
            lg: {
                _width: string;
            };
            xl: {
                _width: string;
            };
            full: {
                _width: string;
            };
        };
    };
    Popover: {
        baseStyle: (props: Record<string, any>) => {
            popoverCloseButtonStyle: {
                position: string;
                right: number;
                top: number;
                zIndex: number;
            };
            popoverCloseButtonProps: {
                size: string;
                p: number;
            };
            popoverProps: {
                backgroundColor: any;
                borderColor: any;
                borderWidth: number;
            };
            popoverBodyProps: {
                mb: number;
                pt: number;
                px: number;
                borderTopWidth: number;
            };
            popoverContentProps: {
                height: string;
                size: string;
            };
            popoverHeaderProps: {
                pt: number;
                pb: number;
                px: number;
            };
            popoverFooterProps: {
                px: number;
                pb: number;
                pt: number;
                borderTopWidth: number;
                flexDirection: string;
                flexWrap: string;
            };
        };
        sizes: {
            xs: {
                _width: string;
            };
            sm: {
                _width: string;
            };
            md: {
                _width: string;
            };
            lg: {
                _width: string;
            };
            xl: {
                _width: string;
            };
            full: {
                _width: string;
            };
        };
    };
    Text: {
        baseStyle: (props: Record<string, any>) => {
            color: any;
        };
        defaultProps: {
            fontWeight: number;
        };
    };
};
export default _default;
